.right{text-align: right;}
.left{text-align: left;}
.center{text-align: center;}

.kalendar {
  font-family: sans-serif;
  width: 99%;
  border-spacing: 0;
  /*border-collapse: separate;*/
  table-layout: fixed;
  margin-bottom: 10px;
  border: 1px solid #626E7E;
}
.kalendar thead tr th {
  background: #ebebeb;
  color: #000;
  /*padding: 0.5em;*/
  overflow: hidden;
  text-align: center;
  border-left: 1px solid #626E7E;
  border-bottom: 1px solid #626E7E;
}
.kalendar thead tr th span {
  color: #000;
}
.kalendar thead tr th:first-child {
  border-radius: 0px 0 0 0;
}
.kalendar thead tr th:last-child {
  border-radius: 0 0px  0 0;
}
.kalendar thead tr th .day {
  /*display: block;*/
  font-size: 1.2em;
  border-radius: 60%;
  width: 30px;
  height: 30px;
  margin: 0 auto 5px;
  padding: 3px;
  /*line-height: 1.8;*/
}
.kalendar thead tr th .day.active {
  background: #ffff00;
  color: #000;
}
.kalendar thead tr th .short {
  display: none;
}
.kalendar thead tr th i {
  vertical-align: middle;
  font-size: 2em;
}
.kalendar thead tr th a {
	text-decoration:none;
	color: #000;
}
.kalendar thead tr th :focus, .kalendar thead tr th :hover {
	color: #000099;
	text-decoration:none;
	}
	

.kalendar tbody tr {
  background: #d1d5db;
}
kalendar tbody tr:nth-child(odd) {
  background: #c8cdd4;
}
.kalendar tbody tr td {
	/*text-align: center;*/
	vertical-align: top;
	border-left: 1px solid #626E7E;
	border-bottom: 1px solid #626E7E;
	position: relative;
	height: 100px;
	cursor: default;
	font-size: 11px;
	font-family: verdana;
	text-decoration:none;
}
.kalendar tbody tr td a {
	text-decoration:none;
	color: #000;
	/*font-weight: bold;*/
	font-size: 10px;
}
.kalendar tbody tr td :focus, .kalendar tbody tr td :hover {
	/*color: #cc0000;*/
	text-decoration:none;
}
	
	
.kalendar tbody tr td:last-child {
  border-right: 1px solid #626E7E;
}

.kalendar tbody tr td.tyden {
	background: #e8e8e8;
}
.kalendar tbody tr td.tyden:hover{
  background: #ccffff;box-shadow: 2px 2px 4px #000000;
}

.kalendar tbody tr td.tydenA {
	background: #ffff99;
}
.kalendar tbody tr td.tydenA:hover{
  background: #ccffff;box-shadow: 2px 2px 4px #000000;
}

.kalendar tbody tr td.hour {
	font-size: 1em;
	padding: 0;
	color: #626E7E;
	background: #fff;
	/*border-bottom: 1px solid #626E7E;*/
	border-collapse: separate;
	min-width: 100px;
	/*cursor: default;
	cursor: pointer;*/
}
.kalendar tbody tr td.a {
	cursor: pointer;
}
.kalendar tbody tr td.hour:hover{
  background: #ccffff;box-shadow: 2px 2px 4px #000000;
}
.kalendar tbody tr td.hour span {
  display: block;
  color: #000;
  padding: 0px 0px 0px 0px;
}

.kalendar tbody tr td.hourW {
  font-size: 1em;
  padding: 0;
  color: #000;
  background: #d4d4d4;
  /*border-bottom: 1px solid #626E7E;*/
  border-collapse: separate;
  min-width: 100px;
  /*cursor: default;
  cursor: pointer;*/
}
.kalendar tbody tr td.hourW:hover{
  background: #ccffff;box-shadow: 2px 2px 4px #000000;
}
.kalendar tbody tr td.hourW span {
  display: block;
  color: #000;
  padding: 0px 1px 0px 0px;
}

.kalendar tbody tr td.hourA {
  font-size: 1em;
  padding: 0;
  color: #000;
  background: #cccccc;
  /*border-bottom: 1px solid #626E7E;*/
  border-collapse: separate;
  min-width: 100px;
  /*cursor: default;
  cursor: pointer;*/
}
.kalendar tbody tr td.hourA:hover{
  background: #d8cdcd;box-shadow: 2px 2px 4px #000000;
}
.kalendar tbody tr td.hourA span {
  display: block;
  color: #000;
}

/* aktivni den v mesici */
.kalendar tbody tr td.active {
	background: #fff942;
	font-size: 1.2em;
  border: 2px solid #000000; /* Přidán výraznější rámeček */
}
.kalendar tbody tr td.active:hover{
  /*background: #dcdcdc;box-shadow: 2px 2px 4px #000000;*/
}
.kalendar tbody tr td.active span {
  display: block;
}


@media (max-width: 60em) {
  table thead tr th .long {
    display: none;
  }
  .kalendar thead tr th .short {
    display: block;
  }
  .kalendar tbody tr td.hour span {
    /*transform: rotate(270deg);
    -webkit-transform: rotate(270deg);
    -moz-transform: rotate(270deg);*/
  }
}
@media (max-width: 27em) {
  .kalendar thead tr th {
    font-size: 65%;
  }
  .kalendar thead tr th .day {
    display: block;
    font-size: 1.2em;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    margin: 0 auto 5px;
    padding: 5px;
  }
  .kalendar thead tr th .day.active {
    background: #d1d5db;
    color: #626E7E;
  }
  .kalendar tbody tr td.hour {
    font-size: 0.8em;
  }
  .kalendar tbody tr td.hour span {
   /* transform: translateY(16px) rotate(270deg);
    -webkit-transform: translateY(16px) rotate(270deg);
    -moz-transform: translateY(16px) rotate(270deg);*/
  }
}


.cdate{
	background-color: #ccffff;
	width: 100%;
}
.cdate a{
	color: #000000;
	padding: 2px 2px;
	text-decoration: none;
}
.cdateweek{
	color: #000000;
	width: 100%;
}
.cdateinfo{
	background-color: #ccffcc;
	width: 100%;
    margin: 0px 0px;
}
.cdateinfo a{
	padding: 2px 2px;
	font-size: 11px;
	text-decoration: none;
	color: #000;
}





.cdateinfoSV{
	background-color: #ff3300;
	width: 100%;
    margin: 1px 0px;
}
.cdateinfoSV a{
	padding: 1px 1px;
	font-size: 11px;
	text-decoration: none;
	color: #000;
}
.cdatetype{
	background-color: #ccffcc;
    color: #000;
	/*width: 22px;*/
	padding: 0px 1px 0px 0px;
	font-size: 10px;
	float: right;
	right: 0px;
	border: 0px solid #ff0000;
	font-weight: bold;
}

.cdatevlastni{
	background-color: #4afd80;
  color:#ff0000;
	padding: 0px 1px 0px 0px;
	font-size: 9px;font-weight: bold;
	float: right;
	right: 0px;
	border: 0px solid #000;
  cursor: pointer;
}
.cdatevlastni:hover {background: #55a36c;}








/*seda*/
.cdateinfoshow-grid{background-color: #F3F3F4;width: 100%;margin: 0px 2px 1px 0px;cursor: pointer;}
.cdateinfoshow-grid a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-grid:hover {background: #dfc8c8;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

.teest:hover {background: #8991fd;box-shadow: 2px 2px 4px #000000;}
.teest2:hover {background: #dade69;box-shadow: 2px 2px 4px #b11a1a;}
.teest3:hover {background: #69de6f;box-shadow: 2px 2px 4px #1ab16b;}
.teest4:hover {background: #ffb429;box-shadow: 2px 2px 4px #ffb429;}
.teest5:hover {background: #b1a8a8;box-shadow: 2px 2px 4px #dad2d2;}
.teest6:hover {background: #e6cb32;box-shadow: 2px 2px 4px #94881d;}
.teest7:hover {background: #4c4aee;box-shadow: 2px 2px 4px #1d6894; color: #fff;}

.teestERR:hover {background: #de696f;box-shadow: 2px 2px 4px #b11a1a;}
.teestERR2:hover {background: #f5c1c1;box-shadow: 2px 2px 4px #b11a1a;}
.teestERR3:hover {background: #68814e;box-shadow: 2px 2px 4px #cbdeb8;}

.teestWhite {background: #ffffff;}
.teestred {background: #ff0000;}
.teestX {background: #bbbbbb;}
.teestX2 {background: #949494;}
.teestZ {background: #ececec;}
.teestZ2 {background: #dfdfdf;}
.teestZred {background: #f5c1c1;}
.teestZred2 {background: #ff6161;}
.teestZgreen {background: #99ffcc;}
.teestZgreen1 {background: #cbdeb8;}
.teestZgreen2 {background: #9fb675;}
.teestZgreen3 {background: #cbdeb8;}
.teestZyellow {background: #ffffcc;}
.teestZyellow2 {background: #ffff3c;}
.teestZorange {background: #ffcc99;}
.teestZBila {background: #ffffff;}
/*https://www.fototiskzdar.cz/Seznam-pojmenovan%C3%BDch-barev-v-HTML*/
.HotPink {background: #FF69B4;}
.HotPink:hover {background: #C71585;}

.technika1 {background: #c6ddd8;}
.technika2 {background: #b6cac6;}

.znakred {color: #ff0000;}
.znakgreen {color: #08940a;}
.znakmangeta {color: #8506ac;}

.teestZhneda {background: #b16363;}
.teestZblue {background: #3399ff;}
.teestZblue2 {background: #7ebfff;}
.teestorange {background: #ffcc00;}

.teestBlack {background: #606060;}

.teestVlastni {background: #4afd80;}

/*cervena*/
.show-red{background-color: #ffcccc;}
.show-red a{text-decoration: none;color: #000;}
.test-red:hover {background: #ff6666;box-shadow: 2px 2px 4px #000000;}
/*oranz*/
.show-orange{background-color: #ffcc99;}
.show-orange a{text-decoration: none;color: #000;}
.test-orange:hover {background: #ff9900;box-shadow: 2px 2px 4px #000000;}
/*zelena*/
.show-green{background-color: #ccffcc;}
.show-green a{text-decoration: none;color: #000;}
.test-green:hover {background: #99ff66;box-shadow: 2px 2px 4px #000000;}
/*externi akce*/
.show-ext{background-color: #d5ff2d;}
.show-ext a{text-decoration: none;color: #000;}
.test-ext:hover {background: #ff6666;box-shadow: 2px 2px 4px #000000;}



/*bila*/
.cdateinfoshow-white{background-color: #fffff;width: 100%;margin: 0px 2px 1px 0px;}
.cdateinfoshow-white a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-white:hover {background: #cfcfcf;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*seda*/
.cdateinfoshow-silver{background-color: #b6b6b6;width: 100%;margin: 0px 2px 1px 0px;}
.cdateinfoshow-silver a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-silver:hover {background: #7c7c7c;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*cervena*/
.cdateinfoshow-red{background-color: #ffcccc;width: 100%;margin: 0px 2px 1px 0px;}
.cdateinfoshow-red a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-red:hover {background: #ff6666;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*zluta*/
.cdateinfoshow-yelow{background-color: #ffff99;width: 100%;margin: 0px 2px 1px 0px;}
.cdateinfoshow-yelow a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-yelow:hover {background: #ffff00;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*zelena*/
.cdateinfoshow-green{background-color: #ccffcc;width: 100%;margin: 0px 2px 1px 0px;}
.cdateinfoshow-green a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-green:hover {background: #99ff66;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*hneda*/
.cdateinfoshow-brown{background-color: #b16363;width: 100%;margin: 0px 2px 1px 0px;color: #fff;}
.cdateinfoshow-brown a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #fff;}
.teest-brown:hover {
  background: #660000; /* Původní barva pozadí při najetí */
  box-shadow: 2px 2px 4px #f7f38f; /* Původní stín boxu (žlutý nádech) */
  cursor: pointer; /* Původní kurzor */
  color: #fff; /* Původní barva textu při najetí */
  position: relative; /* Umožní posunutí elementu */
  top: -2px; /* Nadzvedne element o 2 pixely nahoru */
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5); /* Přidá stín textu: x-offset, y-offset, rozmazání, barva */
  transition: top 0.2s ease, text-shadow 0.2s ease; /* Plynulý přechod pro nadzvednutí a stín textu */
}

/*modra*/
.cdateinfoshow-blue{background-color: #3399ff;width: 100%;margin: 0px 2px 1px 0px;color: #fff;}
.cdateinfoshow-blue a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #fff;}
.teest-blue:hover {background: #0033ff;box-shadow: 2px 2px 4px #f7f38f;cursor: pointer;color: #fff;}

/*orange*/
.cdateinfoshow-orange{background-color: #ffcc00;width: 100%;margin: 0px 2px 1px 0px;color: #000;}
.cdateinfoshow-orange a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-orange:hover {background: #ff9900;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*externi akce*/
.cdateinfoshow-ext{background-color: #d5ff2d;width: 100%;margin: 0px 2px 1px 0px;}
.cdateinfoshow-ext a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-ext:hover {background: #ff6699;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*priprava akci*/
.cdateinfoshow-priprava{background-color: #9ae6e6;width: 100%;margin: 0px 2px 1px 0px;}
.cdateinfoshow-priprava a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-priprava:hover {background: #84afaf;box-shadow: 2px 2px 4px #000;cursor: pointer;}


/*akce info*/
.cdateinfoshow-info{background-color: #ff93ff;width: 100%;margin: 0px 2px 1px 0px;color: #000;}
.cdateinfoshow-info a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-info:hover {background: #f82cf8;box-shadow: 2px 2px 4px #000000;cursor: pointer;color: #fff;
  position: relative; /* Umožní posunutí elementu */
  top: -2px; /* Nadzvedne element o 2 pixely nahoru */
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5); /* Přidá stín textu: x-offset, y-offset, rozmazání, barva */
  transition: top 0.2s ease, text-shadow 0.2s ease; /* Plynulý přechod pro nadzvednutí a stín textu */}


/*akce vlastni*/
.cdateinfoshow-vlastni{background-color: #4afd80;width: 100%;margin: 0px 2px 1px 0px;color: #000;cursor: pointer;}
.cdateinfoshow-vlastni a{padding: 0px 0px;font-size: 10px;text-decoration: none;color: #000;}
.teest-vlastni:hover {background: #47b367;box-shadow: 2px 2px 4px #000000;cursor: pointer;}



/*Akce platna*/
.akce-nova{background-color: #ffcc99;width: 100%;margin: 0px 2px 1px 0px;}
.akce-nova a{padding: 2px 2px;font-size: 11px;text-decoration: none;color: #000;}
.akce-m:hover {background: #ff9900;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*Akce prosla*/
.akce-prosla{background-color: #cc99ff;width: 100%;margin: 0px 2px 1px 0px;}
.akce-prosla a{padding: 2px 2px;font-size: 11px;text-decoration: none;color: #000;}
.akce-p:hover {background: #cc66ff;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*Akce bez mista*/
.akce-bezmista{background-color: #fff;width: 100%;margin: 0px 2px 1px 0px;}
.akce-bezmista a{padding: 2px 2px;font-size: 11px;text-decoration: none;color: #ff0000;}
.akce-b:hover {background: #ff9999;color: #000;box-shadow: 2px 2px 4px #000000;cursor: pointer;}

/*Akce bez mobiliare*/
.akce-bezmobiliar{background-color: #fff;width: 100%;margin: 0px 2px 1px 0px;;}
.akce-bezmobiliar a{padding: 2px 2px;font-size: 11px;text-decoration: none;color: #9999ff;}
.akce-mo:hover {background: #9966ff;box-shadow: 2px 2px 4px #000000;cursor: pointer;}



.cdatetype1{background-color: #a7551e;color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetype1 a{float: right;background-color: #a7551e;}

.cdatetype2{background-color: #728d11;color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetype2 a{float: right;background-color: #728d11;}

.cdatetype3{background-color: #f79a5d;color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetype3 a{float: right;background-color: #f79a5d;}

.cdatetype4{background-color: #bb964d;color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetype4 a{float: right;background-color: #bb964d;}

.cdatetype5{background-color: #99ffff;color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetype5 a{float: right;background-color: #99ffff;}

.cdatetype6{background-color: #20cccc;color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetype6 a{float: right;background-color: #20cccc;}

.cdatetype7{background-color: #f19c9c;color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetype7 a{float: right;background-color: #f19c9c;}

.cdatetype8{background-color: #c94949;color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetype8 a{float: right;background-color: #c94949;}

.cdatetype9 a{background-color: #cc66ff;color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetype9 a{float: right;background-color: #cc66ff;}

.cdatetypeXX{color: #000;padding: 0px 0px 0px 0px;font-size: 10px;font-weight: bold;}
.cdatetypeXX a{float: right;}



.MistoBoxu{
  position: relative;
  left: 30px;
  top: 30px;
  width: 80px;
  height: 250px;
  border: 3px solid #73AD21;
  transform: translateY(16px) rotate(270deg);
    -webkit-transform: translateY(16px) rotate(270deg);
    -moz-transform: translateY(16px) rotate(270deg);
}








.day2 {
  font-family: sans-serif;
  width: 96%;
  border-spacing: 0;
  border-collapse: separate;
  table-layout: fixed;
  margin-bottom: 50px;
}
.day2 thead tr th {
  background: #ffffcc;
  color: #000;
  /*padding: 0.5em;*/
  overflow: hidden;
  text-align: center;
 
  border-top: 1px solid #626E7E;
  border-bottom: 1px solid #626E7E;
}
.day2 thead tr th span {
  color: #000;
}
.day2 thead tr th:first-child {
  border-radius: 0px 0 0 0;
}
.day2 thead tr th:last-child {
  border-radius: 0 0px  0 0;
}
.day2 thead tr th .day {
  /*display: block;*/
  border-radius: 60%;
  width: 30px;
  height: 30px;
  margin: 0 auto 5px;
  padding: 3px;
  /*line-height: 1.8;*/
}
.day2 thead tr th .day {
 color: #000;
}
.day2 thead tr th .day.active {
  background: #ffffcc;
  color: #000099;
}
.day2 thead tr th .short {
  display: none;
}
.day2 thead tr th i {
  vertical-align: middle;
  font-size: 2em;
}
.day2 thead tr th a {
	text-decoration:none;
	color: #d1d5db;
	font-size: 1.6em;
}
.day2 thead tr th :focus, .kalendar thead tr th :hover {
	color: #000099;
	text-decoration:none;
	}
	

.day2 tbody tr {
  background: #d1d5db;
}
.day2 tbody tr:nth-child(odd) {
  background: #c8cdd4;
}
.day2 tbody tr:nth-child(4n+0) td {
  border-bottom: 1px solid #626E7E;
}
.day2 tbody tr td {
	/*text-align: center;*/
	vertical-align: top;
	border-left: 1px solid #626E7E;
	position: relative;
	height: 10px;
	cursor: pointer;
	font-size: 10px;
	font-family: verdana;
	text-decoration:none;
	padding: 0px 5px 0px 2px;
}
.day2 tbody tr td a {
	text-decoration:none;
	color: #000;
}
.day2 tbody tr td :focus, .kalendar tbody tr td :hover {
	/*color: #000;*/
	text-decoration:none;
}
	
	
.day2 tbody tr td:last-child {
  border-right: 1px solid #626E7E;
}
.day2 tbody tr td.hour {
	    text-align: center;
  font-size: 2.5em;
  padding: 0;
  color: #626E7E;
  background: #fff;
  border-bottom: 1px solid #626E7E;
  border-collapse: separate;
  min-width: 100px;
  cursor: default;
  height: 50px;
}
.day2 tbody tr td.hour:hover{
  background: #dcdcdc;
}
.day2 tbody tr td.hour span {
  display: block;
  color: #000;
}
.day2 tbody tr td.active {
	background: #ffffcc;
	font-size: 1.5em;
}
.day2 tbody tr td.active:hover{
  background: #dcdcdc;
}
.day2 tbody tr td.active span {
  display: block;
  font-size: 2.0em;
}


@media (max-width: 60em) {
  day2 thead tr th .long {
    display: none;
	color: #000;
  }
  .day2 thead tr th .short {
    display: block;
	color: #000;
  }
  .day2 tbody tr td.hour span {
    /*transform: rotate(270deg);
    -webkit-transform: rotate(270deg);
    -moz-transform: rotate(270deg);*/
  }
}
@media (max-width: 27em) {
  .day2 thead tr th {
    font-size: 65%;
  }
  .day2 thead tr th .day {
    display: block;
    font-size: 1.2em;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    margin: 0 auto 5px;
    padding: 5px;
  }
  .day2 thead tr th .day.active {
    background: #d1d5db;
    color: #626E7E;
  }
  .day2 tbody tr td.hour {
    font-size: 1.7em;
  }
  .day2 tbody tr td.hour span {
    /*transform: translateY(16px) rotate(270deg);
    -webkit-transform: translateY(16px) rotate(270deg);
    -moz-transform: translateY(16px) rotate(270deg);*/
  }
  .day2 tbody tr td.active span {
    display: block;
    font-size: 0.8em;
  }
}